curl --request GET \
--url https://api.partoo.co/v2/business/{business_id}/more_hours \
--header 'x-APIKey: <api-key>'import requests
url = "https://api.partoo.co/v2/business/{business_id}/more_hours"
headers = {"x-APIKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};
fetch('https://api.partoo.co/v2/business/{business_id}/more_hours', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"more_hours": [
{
"gmb_id": "KITCHEN",
"value": {
"monday": [
"08:00-15:00",
"18:00-23:00"
],
"tuesday": [
"08:00-15:00",
"18:00-23:00"
],
"wednesday": [
"08:00-15:00",
"18:00-23:00"
],
"thursday": [
"08:00-15:00",
"18:00-23:00"
],
"friday": [
"08:00-15:00",
"18:00-23:00"
],
"saturday": [
"08:00-15:00",
"18:00-23:00"
],
"sunday": [
"08:00-15:00",
"18:00-23:00"
]
}
},
{
"gmb_id": "LUNCH",
"value": {
"monday": [
"11:00-15:00"
],
"tuesday": [
"11:00-15:00"
],
"wednesday": [
"11:00-15:00"
],
"thursday": [
"11:00-15:00"
],
"friday": [
"11:00-15:00"
],
"saturday": [],
"sunday": []
}
}
]
}{
"errors": {
"json": "Category with id foo does not exist"
}
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}More hours for your business
This endpoint allows you to view the More Hours set for your business.
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
Business id.
It may be replaced by c-{code} where code is the store code, which should be unique per organization. This can be used only for ORG_ADMIN, GROUP_MANAGER and BUSINESS_MANAGER users.
Query Parameters
If supplied, will only return more hours that are available for the specified business category. If not supplied, the business' main category will be used.
"gcid:restaurant"
If supplied, will only return more hours that are available in the specified country. - use ISO 3166 alpha2 code ("FR", "EN", "IT"). If not supplied, the country from the business' address will be used.
Response
OK
Show child attributes
Show child attributes
[
{
"gmb_id": "KITCHEN",
"value": {
"monday": ["08:00-15:00", "18:00-23:00"],
"tuesday": ["08:00-15:00", "18:00-23:00"],
"wednesday": ["08:00-15:00", "18:00-23:00"],
"thursday": ["08:00-15:00", "18:00-23:00"],
"friday": ["08:00-15:00", "18:00-23:00"],
"saturday": ["08:00-15:00", "18:00-23:00"],
"sunday": ["08:00-15:00", "18:00-23:00"]
}
},
{
"gmb_id": "LUNCH",
"value": {
"monday": ["11:00-15:00"],
"tuesday": ["11:00-15:00"],
"wednesday": ["11:00-15:00"],
"thursday": ["11:00-15:00"],
"friday": ["11:00-15:00"],
"saturday": [],
"sunday": []
}
}
]
Was this page helpful?